# dispute

**Scope required:** billing:read

For a complete list of possible response fields see the [Dispute](/developer/api-reference/types/dispute.md) type.

```graphql
query dispute ($id: ID, $code: String, $format: String) {
  dispute (id: $id, code: $code, format: $format) {
    accountId
    amount
    closedAt
    createdAt
    currencyId
    entityId
    feeAmount
    id
    paymentId
    reason
    remoteTransactionId
    updatedAt
    warrenId
  }
}
```

## Arguments

| Name   | Type   | Description |
| ------ | ------ | ----------- |
| id     | ID     |             |
| code   | String |             |
| format | String |             |

## Response

* [Dispute](/developer/api-reference/types/dispute.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/sending-a-graphql-request/dispute.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
